Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu  (Прочитано 7595 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн nikk

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« : 31 Январь 2012, 01:14:46 »
Здравствуйте.
Собственно как то коряво удалил Apache, PHP, MySQL, phpmyadmin на Ubuntu
Теперь не могу установить по новой.
Мне нужно было удалить все, и заново удалить.
Вроде бы как удалил. Теперь при установке апача пишет ошибку

~# apt-get install apache2
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 apache2 : Depends: apache2-mpm-worker (= 2.2.14-5ubuntu8.7) but it is not going to be installed or
                    apache2-mpm-prefork (= 2.2.14-5ubuntu8.7) but it is not going to be installed or
                    apache2-mpm-event (= 2.2.14-5ubuntu8.7) but it is not going to be installed or
                    apache2-mpm-itk (= 2.2.14-5ubuntu8.7) but it is not going to be installed
           Depends: apache2.2-common (= 2.2.14-5ubuntu8.7) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Все же как я понял, не правильно удалил все.
Скажите как удалить точно правильно все, и установить по новой, без ошибок.

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14875
  • Я не слышу.
    • Просмотр профиля
Re: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« Ответ #1 : 31 Январь 2012, 01:30:29 »
dpkg -l 'apache*'
~.o

Оффлайн nikk

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« Ответ #2 : 31 Январь 2012, 01:47:10 »
Все равно ошибка


Пользователь решил продолжить мысль 31 Январь 2012, 01:58:59:
выполнил
sudo apt-get purge apache*
sudo apt-get autoremove

собственно скрины

http://zalil.ru/32612006

Ошибка все таже  :-[
« Последнее редактирование: 31 Январь 2012, 01:59:31 от nikk »

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14875
  • Я не слышу.
    • Просмотр профиля
Re: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« Ответ #3 : 31 Январь 2012, 02:16:11 »
большой "Y", а не "y"
~.o

Оффлайн nikk

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« Ответ #4 : 31 Январь 2012, 02:22:37 »
Получилось, вы просто гений! Спасибо при огромное вам!

Вот только ошибка с апчаем при установки лог
Цитировать
root@Ubuntu-1110-oneiric-32-minimal:~# apt-get install apache2
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common libapr1 libaprutil1
  libaprutil1-dbd-sqlite3 libaprutil1-ldap libssl0.9.8
Suggested packages:
  apache2-doc apache2-suexec apache2-suexec-custom
The following NEW packages will be installed:
  apache2 apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common libapr1 libaprutil1
  libaprutil1-dbd-sqlite3 libaprutil1-ldap libssl0.9.8
0 upgraded, 10 newly installed, 0 to remove and 6 not upgraded.
Need to get 6,356 kB of archives.
After this operation, 17.2 MB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main libssl0.9.8 i386 0.9.8k-7ubuntu8.6 [3,015 kB]
Get:2 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main libapr1 i386 1.3.8-1ubuntu0.3 [117 kB]
Get:3 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main libaprutil1 i386 1.3.9+dfsg-3ubuntu0.10.04.1 [85.6 kB]
Get:4 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main libaprutil1-dbd-sqlite3 i386 1.3.9+dfsg-3ubuntu0.10.04.1 [27.3 kB]
Get:5 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main libaprutil1-ldap i386 1.3.9+dfsg-3ubuntu0.10.04.1 [25.3 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main apache2.2-bin i386 2.2.14-5ubuntu8.7 [2,631 kB]
Get:7 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main apache2-utils i386 2.2.14-5ubuntu8.7 [160 kB]
Get:8 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main apache2.2-common i386 2.2.14-5ubuntu8.7 [291 kB]
Get:9 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main apache2-mpm-worker i386 2.2.14-5ubuntu8.7 [2,374 B]
Get:10 http://ru.archive.ubuntu.com/ubuntu/ lucid-updates/main apache2 i386 2.2.14-5ubuntu8.7 [1,486 B]
Fetched 6,356 kB in 6s (971 kB/s)
Preconfiguring packages ...
Selecting previously deselected package libssl0.9.8.
(Reading database ... 161657 files and directories currently installed.)
Unpacking libssl0.9.8 (from .../libssl0.9.8_0.9.8k-7ubuntu8.6_i386.deb) ...
Selecting previously deselected package libapr1.
Unpacking libapr1 (from .../libapr1_1.3.8-1ubuntu0.3_i386.deb) ...
Selecting previously deselected package libaprutil1.
Unpacking libaprutil1 (from .../libaprutil1_1.3.9+dfsg-3ubuntu0.10.04.1_i386.deb) ...
Selecting previously deselected package libaprutil1-dbd-sqlite3.
Unpacking libaprutil1-dbd-sqlite3 (from .../libaprutil1-dbd-sqlite3_1.3.9+dfsg-3ubuntu0.10.04.1_i386.deb) ...
Selecting previously deselected package libaprutil1-ldap.
Unpacking libaprutil1-ldap (from .../libaprutil1-ldap_1.3.9+dfsg-3ubuntu0.10.04.1_i386.deb) ...
Selecting previously deselected package apache2.2-bin.
Unpacking apache2.2-bin (from .../apache2.2-bin_2.2.14-5ubuntu8.7_i386.deb) ...
Selecting previously deselected package apache2-utils.
Unpacking apache2-utils (from .../apache2-utils_2.2.14-5ubuntu8.7_i386.deb) ...
Selecting previously deselected package apache2.2-common.
Unpacking apache2.2-common (from .../apache2.2-common_2.2.14-5ubuntu8.7_i386.deb) ...
Selecting previously deselected package apache2-mpm-worker.
Unpacking apache2-mpm-worker (from .../apache2-mpm-worker_2.2.14-5ubuntu8.7_i386.deb) ...
Selecting previously deselected package apache2.
Unpacking apache2 (from .../apache2_2.2.14-5ubuntu8.7_i386.deb) ...
Processing triggers for man-db ...
Processing triggers for ufw ...
WARN: /lib/ufw/user.rules is world writable!
WARN: /lib/ufw/user.rules is group writable!
WARN: /lib/ufw is world writable!
WARN: /lib/ufw is group writable!
WARN: /lib is world writable!
WARN: /lib is group writable!
WARN: /lib/ufw/ufw-init is world writable!
WARN: /lib/ufw/ufw-init is group writable!
WARN: /lib/ufw/user6.rules is world writable!
WARN: /lib/ufw/user6.rules is group writable!
Processing triggers for ureadahead ...
Setting up libssl0.9.8 (0.9.8k-7ubuntu8.6) ...
Setting up libapr1 (1.3.8-1ubuntu0.3) ...
Setting up libaprutil1 (1.3.9+dfsg-3ubuntu0.10.04.1) ...
Setting up libaprutil1-dbd-sqlite3 (1.3.9+dfsg-3ubuntu0.10.04.1) ...
Setting up libaprutil1-ldap (1.3.9+dfsg-3ubuntu0.10.04.1) ...
Setting up apache2.2-bin (2.2.14-5ubuntu8.7) ...
Setting up apache2-utils (2.2.14-5ubuntu8.7) ...
Setting up apache2.2-common (2.2.14-5ubuntu8.7) ...
Enabling site default.
Enabling module alias.
Enabling module autoindex.
Enabling module dir.
Enabling module env.
Enabling module mime.
Enabling module negotiation.
Enabling module setenvif.
Enabling module status.
Enabling module auth_basic.
Enabling module deflate.
Enabling module authz_default.
Enabling module authz_user.
Enabling module authz_groupfile.
Enabling module authn_file.
Enabling module authz_host.
Enabling module reqtimeout.
Setting up apache2-mpm-worker (2.2.14-5ubuntu8.7) ...
 * Starting web server apache2                                                                             apache2: apr_sockaddr_info_get() failed for Ubuntu-1110-oneiric-32-minimal
apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.0.1 for ServerName
                                                                                                    [ OK ]
Setting up apache2 (2.2.14-5ubuntu8.7) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
root@Ubuntu-1110-oneiric-32-minimal:~#
« Последнее редактирование: 31 Январь 2012, 02:24:45 от nikk »

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25973
    • Просмотр профиля
Re: Удаление Apache, PHP, MySQL, phpmyadmin на Ubuntu
« Ответ #5 : 31 Январь 2012, 03:49:40 »
Что вы со своей системой делали?...
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.06 секунд. Запросов: 24.